package com.bonus.canteen.core.marketing.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/** @deprecated */
@Deprecated
@ApiModel("根据id获取生效范围(人员大类版)")
public class MktEffectiveByEffIdOrgVO {
   @ApiModelProperty("范围id")
   private Long effId;
   @ApiModelProperty("范围名称")
   private String effName;
   @ApiModelProperty("生效范围类型(1-人员类,2-食堂类,3-商品类)")
   private Integer effType;
   @ApiModelProperty("人员取交并集(1-交集,2-并集)")
   private Integer userType;
   @ApiModelProperty("人员id集合")
   private List<Long> orgIdList;
   @ApiModelProperty("人员id集合")
   private List<Integer> psnTypeList;
   @ApiModelProperty("人员id集合")
   private List<Long> gradeIdList;

   public Long getEffId() {
      return this.effId;
   }

   public String getEffName() {
      return this.effName;
   }

   public Integer getEffType() {
      return this.effType;
   }

   public Integer getUserType() {
      return this.userType;
   }

   public List<Long> getOrgIdList() {
      return this.orgIdList;
   }

   public List<Integer> getPsnTypeList() {
      return this.psnTypeList;
   }

   public List<Long> getGradeIdList() {
      return this.gradeIdList;
   }

   public void setEffId(final Long effId) {
      this.effId = effId;
   }

   public void setEffName(final String effName) {
      this.effName = effName;
   }

   public void setEffType(final Integer effType) {
      this.effType = effType;
   }

   public void setUserType(final Integer userType) {
      this.userType = userType;
   }

   public void setOrgIdList(final List<Long> orgIdList) {
      this.orgIdList = orgIdList;
   }

   public void setPsnTypeList(final List<Integer> psnTypeList) {
      this.psnTypeList = psnTypeList;
   }

   public void setGradeIdList(final List<Long> gradeIdList) {
      this.gradeIdList = gradeIdList;
   }
}
